extends Node

@onready var entity: CharacterBody3D = get_parent()

func _on_detection_area_body_entered(body: Node3D) -> void:
  if body is CharacterBody3D and body.name == "Player":
    EventBus.enemy_detected.emit(entity, body)

func _on_detection_area_body_exited(body: Node3D) -> void:
  if body is CharacterBody3D and body.name == "Player":
    EventBus.enemy_lost.emit(entity, body)
